## shiki-colors-murrine 4.6

=== Makefile ===
PROJECT := shiki-colors-murrine
DOCS := AUTHORS ChangeLog COPYING README
THEMES := \
	Shiki-Brave \
	Shiki-Colors-Easy-Metacity \
	Shiki-Colors-Metacity \
	Shiki-Colors-Striped-Metacity \
	Shiki-Dust \
	Shiki-Human \
	Shiki-Illustrious \
	Shiki-Noble \
	Shiki-Wine \
	Shiki-Wise
WALLPAPER := Arc-Colors-Transparent-Wallpaper.png
DIST_EXTRA := Makefile userChrome.css

FILES := $(shell find $(THEMES) ! -wholename '*/.*' -type f)
USER := ~/.themes
SYSTEM := $(DESTDIR)/usr/share/themes
SYSTEM_WP := $(DESTDIR)/usr/share/backgrounds
DIST_FILES := $(FILES) $(DOCS) $(WALLPAPER) $(DIST_EXTRA)

VERSION := $(shell head -n 1 ChangeLog | cut -d ' ' -f 1)
PACKAGE := $(PROJECT)-$(VERSION)

all:

clean:
	rm -f *.tar.bz2 *.tar.gz

dist: gz

help:
	@echo "make targets:"
	@echo "    all               Does nothing (default target)."
	@echo "    clean             Deletes all files created by this makefile."
	@echo "    fixperms          Fixes permissions of all files."
	@echo "    dist              Creates a distribution tar file for $(PROJECT)."
	@echo "    help              Displays this help."
	@echo "    bz2               Create a distribution .tar.bz2 file."
	@echo "    gz                Create a distribution .tar.gz file."
	@echo "    install           Installs $(PROJECT) system-wide."
	@echo "    uninstall         Removes $(PROJECT) from the system."
	@echo "    user-install      Installs $(PROJECT) into the user directory."
	@echo "    user-uninstall    Removes $(PROJECT) from the user directory."

fixperms:
	find * ! -wholename '*/.*' -a -type f -a ! -perm 644 -exec chmod 644 {} \; -printf "chmod 644 %p\n"

bz2: $(PACKAGE).tar.bz2

gz: $(PACKAGE).tar.gz

$(PACKAGE).tar.bz2: $(DIST_FILES)
	$(MAKE) fixperms
	tar -c $(DIST_FILES) | bzip2 -cz9 > $@

$(PACKAGE).tar.gz: $(DIST_FILES)
	$(MAKE) fixperms
	tar -c $(DIST_FILES) | gzip -cn9 > $@

define install_template
$(SYSTEM)/$(1): $(1)
	install -D -m 644 $$< $$@

$(USER)/$(1): $(1)
	install -D -m 644 $$< $$@
endef

define wallpaper_template
$(SYSTEM_WP)/$(1): $(1)
	install -D -m 644 $$< $$@
endef

$(foreach file,$(FILES),$(eval $(call install_template,$(file))))
$(foreach file,$(WALLPAPER),$(eval $(call wallpaper_template,$(file))))

install: $(addprefix $(SYSTEM)/,$(FILES)) $(addprefix $(SYSTEM_WP)/,$(WALLPAPER))

user-install: $(addprefix $(USER)/,$(FILES))

uninstall:
	rm -rf $(addprefix $(SYSTEM)/,$(THEMES))
	rm -f $(addprefix $(SYSTEM_WP)/,$(WALLPAPER))

user-uninstall:
	rm -rf $(addprefix $(USER)/,$(THEMES))

.PHONY: clean help uninstall user-uninstall

=== debian/changelog ===
shiki-colors-murrine (4.6-2.1ubuntu1) noble; urgency=low

  * Merge from Debian Unstable. Remaining changes:
    - Removed obsolete gradients options that caused warnings in
      obsolete_gradients_options.diff.
    - Install Arc-* wallpapers with their corresponding shiki theme.
      + Add wallpapers under debian/arc-colors and xml files under
        debian/gnome-background-properties.
      + Add wallpaper png files to debian/source/include-binaries.
      + Add install_extras target to debian/rules installing the new files.
      + Add the new files to the respective debian/shiki-*-theme.install
        files.
  * Drop changes not useful anymore (rmadison is not aware of them, they have
    been removed too much time ago)
      + Breaks/Replace with old arc-* packages just in case someone still has
        them around (and don't suggest arc-* packages as they have been
        removed from the archive).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 25 Feb 2024 16:01:51 -0600

shiki-colors-murrine (4.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 12:26:43 +0200

shiki-colors-murrine (4.6-2ubuntu1) artful; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - Removed obsolete gradients options that caused warnings in
      obsolete_gradients_options.diff.
    - Install Arc-* wallpapers with their corresponding shiki theme.
      + Add wallpapers under debian/arc-colors and xml files under
        debian/gnome-background-properties.
      + Add wallpaper png files to debian/source/include-binaries.
      + Add install_extras target to debian/rules installing the new files.
      + Add the new files to the respective debian/shiki-*-theme.install
        files.
  * Drop changes not useful anymore (rmadison is not aware of them, they have
    been removed too much time ago)
      + Breaks/Replace with old arc-* packages just in case someone still has
        them around (and don't suggest arc-* packages as they have been
        removed from the archive).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 16 Aug 2017 00:43:23 -0500

shiki-colors-murrine (4.6-2) unstable; urgency=medium

  * Update my email address.
  * Remove obsolete DM-Upload-Allowed field.
  * Bump Standards-Version to 3.9.5.
  * Use dpkg-source 3.0 (quilt) format.
  * Switch from cdbs to debhelper 9.
  * Update copyright file to latest format.

 -- Benjamin Drung <bdrung@debian.org>  Sun, 12 Jan 2014 01:28:08 +0100

shiki-colors-murrine (4.6-1ubuntu2) maverick; urgency=low

  * Move Ubuntu changes to obsolete_gradients_options.diff.
  * Convert to Debian Source Format 3.0 (quilt).
  * debian/control: Don't suggest arc-* packages as they have
    been removed from the archive. (LP: #619420)
  * Install Arc-* wallpapers with their corresponding shiki theme. (LP: #564769)
   - Add wallpapers under debian/arc-colors and xml files under
     debian/gnome-background-properties.
   - Add wallpaper png files to debian/source/include-binaries.
   - Add install_extras target to debian/rules installing the new files.
   - Add the new files to the respective debian/shiki-*-theme.install files.
   - Breaks/Replace with old arc-* packages just in case someone
     still has them around.

 -- Andrew Starr-Bochicchio <a.starr.b@gmail.com>  Thu, 09 Sep 2010 01:10:19 -0400

shiki-colors-murrine (4.6-1ubuntu1) lucid; urgency=low

  * Removed obsolete gradients options that caused warnings (LP: #518566)

 -- Mathieu Comandon <strycore@gmail.com>  Sun, 07 Feb 2010 22:50:49 +0100

shiki-colors-murrine (4.6-1) unstable; urgency=low

  * New upstream release.
  * Allow uploads done by Debian Maintainers.
  * Bump standards version to 3.8.3.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 25 Sep 2009 21:46:28 +0200

shiki-colors-murrine (4.5-1) unstable; urgency=low

  * New upstream release.
    - Update Green, Pink, Orange and Red palettes for better contrast
      (Closes: #537300).

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 03 Aug 2009 23:34:21 +0200

shiki-colors-murrine (4.4-1) unstable; urgency=low

  * New upstream release.
  * debian/copyright: Update copyright to GPL-3+.
  * Add new shiki-dust-theme and shiki-illustrious-theme packages.
  * Bump standards version to 3.8.2, no changes needed.
  * debian/rules: Use the Makefile to install the icon themes.
  * shiki-*-theme: Depend on either the Metacity or the Xfwm theme
    (Closes: #536582, LP: #399457).

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 17 Jul 2009 02:03:59 +0200

shiki-colors-murrine (3.9.1-1) unstable; urgency=low

  * Initial release (Closes: #520693)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 05 Jun 2009 01:07:04 +0200

=== debian/control ===
Source: shiki-colors-murrine
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: GNOME-Colors Packagers <gnome-colors-packagers@lists.launchpad.net>
Uploaders: Benjamin Drung <bdrung@debian.org>,
           Andrew Starr-Bochicchio <a.starr.b@gmail.com>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.5
Homepage: http://code.google.com/p/gnome-colors/
Vcs-Bzr: https://code.launchpad.net/~gnome-colors-packagers/shiki-colors-pkg/debian/
Vcs-Browser: http://bazaar.launchpad.net/~gnome-colors-packagers/shiki-colors-pkg/debian/files

Package: shiki-colors
Architecture: all
Depends: shiki-brave-theme,
         shiki-dust-theme,
         shiki-human-theme,
         shiki-illustrious-theme,
         shiki-noble-theme,
         shiki-wine-theme,
         shiki-wise-theme,
         ${misc:Depends}
Recommends: gnome-colors
Suggests: arc-colors
Description: set of Metacity/GTK-2+ themes
 Shiki-Colors is a set of Metacity/GTK-2+ themes which mix the elegance of
 a dark theme with the usability of a light theme, resulting in a hybrid theme.
 .
 This package provides seven variations of the Shiki-Colors (Murrine) theme:
 .
 Shiki-Brave (Blue), Shiki-Dust (Chocolate), Shiki-Human (Orange),
 Shiki-Illustrious (Pink),
 Shiki-Noble (Purple), Shiki-Wine (Red), and Shiki-Wise (Green)

Package: shiki-colors-metacity-theme
Architecture: all
Depends: metacity,
         ${misc:Depends}
Description: set of Metacity themes
 Shiki-Colors is a set of Metacity/GTK-2+ themes which mix the elegance of
 a dark theme with the usability of a light theme, resulting in a hybrid theme.
 .
 This package provides the common Metacity themes.

Package: shiki-colors-xfwm-theme
Architecture: all
Section: xfce
Depends: xfwm4,
         ${misc:Depends}
Suggests: gnome-colors,
          shiki-colors
Description: Xfwm/Xfce4 theme based on the Shiki-Colors Metacity theme
 Shiki-Colors is a Xfwm theme which mix the elegance of a dark theme
 with the usability of a light theme, resulting in a hybrid theme.
 .
 This package provides a Xfwm port of the Shiki-Colors Metacity theme for use
 with the Xfce desktop.

Package: shiki-brave-theme
Architecture: all
Depends: gnome-brave-icon-theme,
         gtk2-engines-murrine (>= 0.90.3),
         shiki-colors-metacity-theme | shiki-colors-xfwm-theme,
         ${misc:Depends}
Suggests: arc-brave
Description: blue variation of the Shiki-Colors theme
 Shiki-Colors is a set of Metacity/GTK-2+ themes which mix the elegance of
 a dark theme with the usability of a light theme, resulting in a hybrid theme.
 .
 This package provides the Shiki-Brave (Blue) GTK-2+ theme.

Package: shiki-dust-theme
Architecture: all
Depends: gnome-dust-icon-theme,
         gtk2-engines-murrine (>= 0.90.3),
         metacity | xfwm4,
         ${misc:Depends}
Suggests: arc-dust
Description: chocolate variation of the Shiki-Colors theme
 Shiki-Colors is a set of Metacity/GTK-2+ themes which mix the elegance of
 a dark theme with the usability of a light theme, resulting in a hybrid theme.
 .
 This package provides the Shiki-Dust (Chocolate) GTK-2+ theme.

Package: shiki-human-theme
Architecture: all
Depends: gnome-human-icon-theme,
         gtk2-engines-murrine (>= 0.90.3),
         shiki-colors-metacity-theme | shiki-colors-xfwm-theme,
         ${misc:Depends}
Suggests: arc-human
Description: orange variation of the Shiki-Colors theme
 Shiki-Colors is a set of Metacity/GTK-2+ themes which mix the elegance of
 a dark theme with the usability of a light theme, resulting in a hybrid theme.
 .
 This package provides the Shiki-Human (Orange) GTK-2+ theme.

Package: shiki-illustrious-theme
Architecture: all
Depends: gnome-illustrious-icon-theme,
         gtk2-engines-murrine (>= 0.90.3),
         shiki-colors-metacity-theme | shiki-colors-xfwm-theme,
         ${misc:Depends}
Suggests: arc-illustrious
Description: pink variation of the Shiki-Colors theme
 Shiki-Colors is a set of Metacity/GTK-2+ themes which mix the elegance of
 a dark theme with the usability of a light theme, resulting in a hybrid theme.
 .
 This package provides the Shiki-Illustrious (Pink) GTK-2+ theme.

Package: shiki-noble-theme
Architecture: all
Depends: gnome-noble-icon-theme,
         gtk2-engines-murrine (>= 0.90.3),
         shiki-colors-metacity-theme | shiki-colors-xfwm-theme,
         ${misc:Depends}
Suggests: arc-noble
Description: purple variation of the Shiki-Colors theme
 Shiki-Colors is a set of Metacity/GTK-2+ themes which mix the elegance of
 a dark theme with the usability of a light theme, resulting in a hybrid theme.
 .
 This package provides the Shiki-Noble (Purple) GTK-2+ theme.

Package: shiki-wine-theme
Architecture: all
Depends: gnome-wine-icon-theme,
         gtk2-engines-murrine (>= 0.90.3),
         shiki-colors-metacity-theme | shiki-colors-xfwm-theme,
         ${misc:Depends}
Suggests: arc-wine
Description: red variation of the Shiki-Colors theme
 Shiki-Colors is a set of Metacity/GTK-2+ themes which mix the elegance of
 a dark theme with the usability of a light theme, resulting in a hybrid theme.
 .
 This package provides the Shiki-Wine (Red) GTK-2+ theme.

Package: shiki-wise-theme
Architecture: all
Depends: gnome-wise-icon-theme,
         gtk2-engines-murrine (>= 0.90.3),
         shiki-colors-metacity-theme | shiki-colors-xfwm-theme,
         ${misc:Depends}
Suggests: arc-wise
Description: green variation of the Shiki-Colors theme
 Shiki-Colors is a set of Metacity/GTK-2+ themes which mix the elegance of
 a dark theme with the usability of a light theme, resulting in a hybrid theme.
 .
 This package provides the Shiki-Wise (Green) GTK-2+ theme.

=== debian/rules ===
#!/usr/bin/make -f

WALLPAPER = Arc-Brave.png \
	Arc-Dust.png \
	Arc-Human.png \
	Arc-Illustrious.png \
	Arc-Noble.png \
	Arc-Wine.png \
	Arc-Wise.png

PROPERTIES = arc-brave.xml \
	arc-dust.xml \
	arc-human.xml \
	arc-illustrious.xml \
	arc-noble.xml \
	arc-wine.xml \
	arc-wise.xml

override_dh_auto_install:
	for FILE in $(WALLPAPER); do \
		install -D -m 644 "$(CURDIR)/debian/arc-colors/$$FILE" \
		"$(CURDIR)/debian/tmp/usr/share/backgrounds/$$FILE"; \
	done
	for FILE in $(PROPERTIES); do \
		install -D -m 644 "$(CURDIR)/debian/gnome-background-properties/$$FILE" \
		"$(CURDIR)/debian/tmp/usr/share/gnome-background-properties/$$FILE"; \
	done
	dh_auto_install

%:
	dh $@
